Package serp.bytecode

# Class BootstrapMethodElement

java.lang.Object
serp.bytecode.BootstrapMethodElement

public class BootstrapMethodElement extends Object

## Constructor Summary

Constructors
Constructor
Description
`BootstrapMethodElement()`
`BootstrapMethodElement(BootstrapMethods bootstrapmethodAttr, int bootstrap_method_ref, int num_bootstrap_arguments, int[] bootstrap_arguments)`
`BootstrapMethodElement(BootstrapMethods bootstrapmethodAttr, DataInput in)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getBootstrapArgumentIndices()`
`Entry[]`
`getBootstrapArguments()`
`MethodHandleEntry`
`getBootstrapMethod()`
`BootstrapMethods`
`getBootstrapMethodAttribute()`
`int`
`getBootstrapMethodRef()`
`int`
`getLength()`
`int`
`getNumBootstrapArguments()`
`void`
`setBootstrapArgumentIndices(int[] bootstrap_arguments)`
`void`
`setBootstrapArguments(Entry[] bsArgs)`
`void`
`setBootstrapMethod(MethodHandleEntry mhe)`
`void`
`setBootstrapMethodAttribute(BootstrapMethods bootstrapMethodAttribute)`
`void`
`setBootstrapMethodRef(int bootstrap_method_ref)`
`void`
`write(DataOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BootstrapMethodElement

public BootstrapMethodElement()

### BootstrapMethodElement

public BootstrapMethodElement(BootstrapMethods bootstrapmethodAttr, int bootstrap_method_ref, int num_bootstrap_arguments, int[] bootstrap_arguments)

### BootstrapMethodElement

public BootstrapMethodElement(BootstrapMethods bootstrapmethodAttr, DataInput in) throws IOException

Throws:
  `IOException`

## Method Details

### getBootstrapMethodAttribute

public BootstrapMethods getBootstrapMethodAttribute()

### setBootstrapMethodAttribute

public void setBootstrapMethodAttribute(BootstrapMethods bootstrapMethodAttribute)

### getBootstrapMethodRef

public int getBootstrapMethodRef()

### getBootstrapMethod

public MethodHandleEntry getBootstrapMethod()

### setBootstrapMethodRef

public void setBootstrapMethodRef(int bootstrap_method_ref)

### setBootstrapMethod

public void setBootstrapMethod(MethodHandleEntry mhe)

### getNumBootstrapArguments

public int getNumBootstrapArguments()

### getBootstrapArgumentIndices

public int[] getBootstrapArgumentIndices()

### getBootstrapArguments

public Entry[] getBootstrapArguments()

### setBootstrapArgumentIndices

public void setBootstrapArgumentIndices(int[] bootstrap_arguments)

### setBootstrapArguments

public void setBootstrapArguments(Entry[] bsArgs)

### getLength

public int getLength()

### write

public void write(DataOutput out) throws IOException

Throws:
  `IOException`